
Redmine - Defect #8212

Unable to login : Invalid form login

2011-04-22 23:55 - Johan Guilbaud

Status: Closed Start date: 2011-04-22

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Accounts / authentication Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 1.1.3

Description

Hello, i know that this bugs have already been posted, but any solution worked for me...

I'm unable to login or register...

It's a new installation of redmine (with the latest 1.1 getted from svn 3 days ago)

I have tried to add config.action_controller.allow_forgery_protection = false to disable authentication token, but that doesn't work...

I have tried lot og solution i found on google but still not work...

thanks for help.

Ruby version              1.8.7 (x86_64-linux)

RubyGems version          1.3.7

Rack version              1.0

Rails version             2.3.5

Active Record version     2.3.5

Active Resource version   2.3.5

Action Mailer version     2.3.5

Active Support version    2.3.5

Application root          /var/wwws/redmine

Environment               production

Database adapter          mysql

Database schema version   20101114115359

History

#1 - 2011-04-23 13:13 - Etienne Massip

Please give all details you can, see SubmittingBugs.

#2 - 2011-04-23 14:00 - Johan Guilbaud

I was sleeping when i wrote it ... sorry

the error message when i try to login or register  (after submitting form):  "Invalid Token Authentification"

It's a linux debian x86_64 with mysql 5.1 and redmine 1.1.2

Which over informations do you need exactly ?

#3 - 2011-04-23 14:43 - Etienne Massip

Svn Redmine requires Rails 2.3.11, see RedmineInstall.

#4 - 2011-04-23 19:39 - Johan Guilbaud

I have executed the command : gem install rails -v=2.3.11 in the redmine directory

this command returned that rails 2.3.11 has been installed but if i execute RAILS_ENV=production ruby script/about the rails version is always 2.3.5...

I don't found debian paquet for this version of rails...

#5 - 2011-04-23 20:27 - Johan Guilbaud

i have edited config/environnement.rb to set correct  version  of rails :
# Specifies gem version of Rails to use when vendor/rails is not present

RAILS_GEM_VERSION = '2.3.11' unless defined? RAILS_GEM_VERSION

and now RAILS_ENV=production ruby script/about

config.load_paths is deprecated and removed in Rails 3, please use autoload_paths instead

config.load_paths= is deprecated and removed in Rails 3, please use autoload_paths= instead

About your application's environment

Ruby version              1.8.7 (x86_64-linux)

RubyGems version          1.3.7

Rack version              1.1.2

Rails version             2.3.11

Active Record version     2.3.11

Active Resource version   2.3.11

Action Mailer version     2.3.11

Active Support version    2.3.11

Application root          /var/wwws/redmine

Environment               production

Database adapter          mysql

Database schema version   20101114115359

but still the same error : "Invalid form authenticity token."

#6 - 2011-04-24 18:21 - Etienne Massip

I'm sorry, thought you were running svn trunk version but it looks like this really is a 1.1.2 branch version, so you should stick to Rails 2.3.5, indeed :/

Do you have something in log/production.log or your sever (mongrel ? webrick ?) log file ?

#7 - 2011-04-30 13:59 - Johan Guilbaud

nothing in log/production.log except comment date creation of the file log

no mongrel.log found

#8 - 2011-04-30 15:43 - Etienne Massip

There is a mongrel log somewhere (/etc/log ? /RAILS_PATH/log ?), at least if you run it as a deamon.

#9 - 2011-04-30 16:31 - Johan Guilbaud

i run find / -name mongrel and i found nothing about logs and yes i use mongrel/daemon

#10 - 2011-05-08 20:55 - Johan Guilbaud

Another idea to resolv this problem ?

thanks.

#11 - 2013-04-23 11:22 - Filou Centrinov

Category: Accounts / authentication

Status: Needs Feedback

Give feedback after you upgraded your Redmine.

#12 - 2013-04-23 12:06 - Johan Guilbaud

2 years after....  it's too late to test anything or give feedback...

we have changed the server, so i cannot reproduce the problem...

#13 - 2013-04-28 15:42 - Toshi MARUYAMA

- Category set to Accounts / authentication

#14 - 2013-04-28 15:44 - Toshi MARUYAMA

- Affected version (unused) set to 1.1.3

- Affected version set to 1.1.3

#15 - 2013-04-28 15:45 - Toshi MARUYAMA

- Status changed from New to Closed
Lapinkiller Lapinkiller wrote:

2 years after....  it's too late to test anything or give feedback...

we have changed the server, so i cannot reproduce the problem...

 Thank you for your report.

Powered by TCPDF (www.tcpdf.org)

2025-06-30 3/3

http://www.tcpdf.org

